#ifndef _SELECT_MISSION_SCENE_
#define _SELECT_MISSION_SCENE_

#include <HPLE3DLapper.h>

#include <vector>
#include <string>

namespace MotionTest {
/** ミッション選択シーン
  */
class SelectMissionScene : public HPL::General::AbstractScene {
private:
	int m_nSelectedButton;

	int m_bIsSelectedPrevious;
	int m_bIsSelectedNext;

	int m_nCurrentPage;
	int m_nMaxPage;

	std::vector< std::vector< std::string > > m_vecMissionTextList;
public:
	SelectMissionScene();
	virtual ~SelectMissionScene();

	void init();
	void process();
	void quit();
public:
	//! 文字列描画
	int drawText();

	//! レンダリング
	int render();

	//! フレームごとの移動処理
	int frameMove();
};
}


#endif
